##### 7.5.14.0. vars2pars

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  vars2pars(v); v intvec

Assume:
  The basering is commutative.

Return:
  ring with variables specified by v converted into parameters

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,y,z,a,b,c),dp;
    intvec v = 4,5,6;
    def R = vars2pars(v);
    setring R;
    R;
    ==> // coefficients: QQ(a, b, c) considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    v = 1,2;
    def RR = vars2pars(v);
    setring RR;
    RR;
    ==> // coefficients: QQ(a, b, c, x, y) considered as a field
    ==> // number of vars : 1
    ==> //        block   1 : ordering dp
    ==> //                  : names    z
    ==> //        block   2 : ordering C

User manual for Singular version 4.4.1, 2025, generated by texi2html.